<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_4cb84eb" . "74ebb3a0" . "cd6e531e" . "aa815709" . "2" => base64_decode("YXBwX2Z" . "vcnVt"), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1z" . "Zw=="), "_d36d5ad3900b429055d2ab305b68" . "bdbd" => base64_decode("Zm9ydW1fbWVzc2FnZQ" . "=="), "_76b2584d18510f8" . "87f4a6f6b81f9695" . "2" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J1" . "bQ=="));
use Claromentis\Forum\ForumApplication as ForumForumApplication;
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d36d5ad3900b429055d2ab305b68bdb" . "d"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_76b2584d18510" . "f887f4a6f6b81f" . "96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4cb84eb74ebb3a0cd6e53" . "1eaa8157092"];
    }
    public function GetIcon() : string
    {
        return ForumForumApplication::APPLICATION_SVG_URL;
    }
}